function xReturn = getAphiaRecordsByIDs(obj,aphiaids)
%getAphiaRecordsByIDs(obj,aphiaids)
%
%   <strong>Get an AphiaRecord for multiple AphiaIDs in one go (max: 50)</strong>
%   		<br /> For the structure of the returned AphiaRecords, please refer to the function getAphiaRecordByID()
%   
%     Input:
%       aphiaids{:} = (int)
%   
%     Output:
%       return{:} = (AphiaRecord)

% Build up the argument lists.
values = { ...
   aphiaids, ...
   };
names = { ...
   'aphiaids', ...
   };
types = { ...
   '{http://www.w3.org/2001/XMLSchema}int[]', ...
   };

% Create the message, make the call, and convert the response into a variable.
soapMessage = createSoapMessage( ...
    'http://aphia/v1.0/AphiaRecords', ...
    'getAphiaRecordsByIDs', ...
    values,names,types,'rpc');
response = callSoapService( ...
    obj.endpoint, ...
    'getAphiaRecordsByIDs', ...
    soapMessage);
xReturn = parseSoapResponse(response);
