function xReturn = getAphiaRecordsByTaxonRankID(obj,taxonRankID,belongsTo,offset)
%getAphiaRecordsByTaxonRankID(obj,taxonRankID,belongsTo,offset)
%
%   <strong>Get the AphiaRecords for a given taxonRankID (max 50)</strong>
%   		<br />Output fields include:
%   		<br /> For the structure of the returned AphiaRecords, please refer to the function getAphiaRecordByID()
%   
%     Input:
%       taxonRankID = (int)
%       belongsTo = (int)
%       offset = (int)
%   
%     Output:
%       return{:} = (AphiaRecord)

% Build up the argument lists.
values = { ...
   taxonRankID, ...
   belongsTo, ...
   offset, ...
   };
names = { ...
   'taxonRankID', ...
   'belongsTo', ...
   'offset', ...
   };
types = { ...
   '{http://www.w3.org/2001/XMLSchema}int', ...
   '{http://www.w3.org/2001/XMLSchema}int', ...
   '{http://www.w3.org/2001/XMLSchema}int', ...
   };

% Create the message, make the call, and convert the response into a variable.
soapMessage = createSoapMessage( ...
    'http://aphia/v1.0/AphiaRecords', ...
    'getAphiaRecordsByTaxonRankID', ...
    values,names,types,'rpc');
response = callSoapService( ...
    obj.endpoint, ...
    'getAphiaRecordsByTaxonRankID', ...
    soapMessage);
xReturn = parseSoapResponse(response);
